Font::FreeType::NamedInfo(3pm)

NAME
Font::FreeType::NamedInfo - information from 'names table' in font file

SYNOPSIS
    use Font::FreeType;

    my $freetype = Font::FreeType->new;
    my $face = $freetype->face('Vera.ttf');
    my $infos = $face->namedinfos;
    if($infos && @$infos) {
      say $_->string for(@$infos);
    }

DESCRIPTION
The TrueType and OpenType specifications allow the inclusion of a special names table in font files. This table contains textual (and internationalized) information regarding the font, like family name, copyright, version, etc.

Possible values for platform_id, encoding_id, language_id, and name_id are given in the file ttnameid.h from FreeType distribution. For details please refer to the TrueType or OpenType specification.

METHODS

platform_id
encoding_id
language_id
name_id
string
    The name string. Note that its format differs depending on the (platform,
     encoding) pair. It can be a Pascal String, a UTF-16 one, etc.

    Generally speaking, the string is not zero-terminated. Please refer to the TrueType specification for details.